## paexec 1.0.1

=== Makefile ===
BIRTHDATE   =	2008-01-25
PROJECTNAME =	paexec

#####
SUBPRJ      =	paexec:tests presentation doc
SUBPRJ_DFLT?=	paexec

examples    =	divide all_substr cc_wrapper cc_wrapper2 \
		make_package toupper dirtest
.for d in ${examples}
SUBPRJ     +=	examples/${d}:tests examples/${d}:examples
.endfor

tests       =	transp_closed_stdin scripts
.for d in ${tests}
SUBPRJ     +=	tests/${d}:tests
.endfor

#####
MKC_REQD    =	0.27.0

#####
test: all-tests
	@:

clean: clean-tests clean-presentation
cleandir: cleandir-tests  cleandir-presentation

# new recursive target for making a distribution tarball
TARGETS    +=	_prepdist

DIST_TARGETS=	prepdist

.PHONY: prepdist
prepdist: all-presentation _prepdist
	rm ${MKC_CACHEDIR}/_mkc*
	${MAKE} -Cpresentation ${MAKEFILES} _clean_garbage

#####
.include "Makefile.inc"
.include <mkc.subprj.mk>

=== paexec/Makefile ===
# initial buffer size for the tasks and results
BUFSIZE   ?=	4096

############################################################
BIRTHDATE  =	2008-01-25

WARNS     ?=	4
WARNERR   ?=	yes

PROG       =	paexec
SRCS       =	paexec.c wrappers.c tasks.c nodes.c signals.c pr.c

SCRIPTS    =	paexec_reorder

MAN        =	paexec.1 paexec_reorder.1

LINKS      =	${BINDIR}/paexec_reorder        ${BINDIR}/pareorder
MLINKS     =	paexec_reorder.1 pareorder.1

CFLAGS    +=	-DPAEXEC_VERSION='"${VERSION}"'
CFLAGS    +=	-DBUFSIZE=${BUFSIZE}

MKC_FEATURES         =	getline strlcat strlcpy SLIST RB
MKC_SOURCE_FUNCLIBS  =  shquote

MKC_COMMON_DEFINES   =	-D_GNU_SOURCE
MKC_COMMON_HEADERS   =	unistd.h stdlib.h
MKC_CHECK_TYPES      =	intptr_t:stdint.h intptr_t:inttypes.h
MKC_CHECK_HEADERS    =	sys/select.h
MKC_CHECK_FUNCS3     =  shquote
MKC_CHECK_FUNCS1     =	sysconf

CLEANFILES           =  *~ core* *.1 *.html ktrace* ChangeLog *.tmp

.PHONY: _prepdist
_prepdist: ${MAN}

############################################################
.include <mkc.prog.mk>

CFLAGS.warns.gcc.4 += -Wno-uninitialized

=== tests/Makefile ===
MKC_CHECK_CUSTOM +=		sleep_fract
MKC_CUSTOM_FN.sleep_fract =	../checks/sleep_fract

CLEANFILES +=	_test.in _tasks.tmp _test.tmp

all:
	@echo 'running tests...'; \
	set -e; \
	cd ${.CURDIR}; \
	export OBJDIR=${.OBJDIR}; \
	export PATH=${.CURDIR}/broken_echo:$$PATH; \
	export PATH=${.CURDIR}/scripts:$$PATH; \
	export PATH=${.CURDIR}/../paexec:$$PATH; \
	export PATH=${.CURDIR}/../examples/all_substr:$$PATH; \
	export PATH=${.CURDIR}/../examples/cc_wrapper:$$PATH; \
	export PATH=${.CURDIR}/../examples/cc_wrapper2:$$PATH; \
	export PATH=${.CURDIR}/../examples/dirtest:$$PATH; \
	export PATH=${.CURDIR}/../examples/divide:$$PATH; \
	export PATH=${.CURDIR}/../examples/make_package:$$PATH; \
	export PATH=${.CURDIR}/../examples/toupper:$$PATH; \
	export PATH=${.CURDIR}/../examples/wav2flac:$$PATH; \
	export PATH=${OBJDIR_paexec}:$$PATH; \
	export PATH=${OBJDIR_scripts}:$$PATH; \
	export PATH=${OBJDIR_transp_closed_stdin}:$$PATH; \
	export PATH=${OBJDIR_all_substr}:$$PATH; \
	export PATH=${OBJDIR_cc_wrapper}:$$PATH; \
	export PATH=${OBJDIR_cc_wrapper2}:$$PATH; \
	export PATH=${OBJDIR_dirtest}:$$PATH; \
	export PATH=${OBJDIR_divide}:$$PATH; \
	export PATH=${OBJDIR_make_package}:$$PATH; \
	export PATH=${OBJDIR_toupper}:$$PATH; \
	export PATH=${OBJDIR_wav2flac}:$$PATH; \
	export SLEEP_FRACT=${CUSTOM.sleep_fract:S/0//}; \
	if ./test.sh; \
	then echo 'SUCCEEDED'; \
	else echo 'FAILED'; false; \
	fi

.include <mkc.files.mk>

=== examples/cc_wrapper/Makefile ===
SCRIPTS     =	cmd_cc_wrapper run_cc_wrapper
SCRIPTSDIR ?=	${FILESDIR}

FILES      !=	echo *.c
FILESDIR    =	${EGDIR}/${.CURDIR:T}

.include <mkc.files.mk>

=== examples/make_package/Makefile ===
INSCRIPTS   =	cmd_make_package cmd_xxx_failed_make_package

SCRIPTS     =	${INSCRIPTS} run_make_package run_cycle_make_package
FILES      !=	echo tasks*

FILESDIR    =	${EGDIR}/${.CURDIR:T}
SCRIPTSDIR ?=	${FILESDIR}

.include <mkc.files.mk>

=== examples/toupper/Makefile ===
INSCRIPTS  =	cmd_toupper

SCRIPTS    =	${INSCRIPTS} run_toupper
SCRIPTSDIR =	${EGDIR}/${.CURDIR:T}

.include <mkc.files.mk>

=== debian/changelog ===
paexec (1.0.1-3) unstable; urgency=medium

  * Pre-install gawk during the build, tests don't work with mawk.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 26 Jul 2015 17:11:54 +0200

paexec (1.0.1-2) unstable; urgency=medium

  * Fix binary package dependencies.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 25 Jul 2015 16:28:55 +0200

paexec (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #519443, #519444).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 15 Aug 2013 01:02:03 +0200

=== debian/control ===
Source: paexec
Section: devel
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper (>= 9),
 mk-configure,
 runawk, gawk,
 graphviz, latex-beamer, texlive-latex-extra, texlive-fonts-recommended, ghostscript
Standards-Version: 3.9.5

Package: paexec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, runawk
Description: execute tasks in parallel
 paexec is a tool to execute tasks in parallel.
 .
 paexec reads tasks from the standard input and distributes
 them over a number of nodes using a specified transport
 protocol.

=== debian/rules ===
#!/usr/bin/make -f

export SUBPRJ_DFLT=paexec examples doc presentation

%:
	dh $@ --buildsystem=mkcmake

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://mova.org/~cheusov/pub/paexec/paexec-(\d.*).tar.gz

## paexec 1.1.0

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 PROJECTNAME =	paexec
 
 #####
-SUBPRJ      =	paexec:tests presentation doc
-SUBPRJ_DFLT?=	paexec
+SUBPRJ      =	paexec:tests paargs presentation doc
+SUBPRJ_DFLT?=	paexec paargs
 
 examples    =	divide all_substr cc_wrapper cc_wrapper2 \
 		make_package toupper dirtest

=== examples/divide/Makefile ===
INSCRIPTS  =	cmd_divide cmd_divide2

SCRIPTS    =	${INSCRIPTS} run_divide run_divide2
SCRIPTSDIR =	${EGDIR}/${.CURDIR:T}

.include <mkc.files.mk>

=== debian/changelog ===
paexec (1.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version.
  * Point Vcs-* to dgit.
  * Update maintainer's name.
  * Build and install paargs.
  * Verify snprintf doesn’t truncate the output (Closes: #897832).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 06 Aug 2018 16:43:34 +0200

paexec (1.0.1-4) unstable; urgency=medium

  * Update the build dependency, since texlive-latex-recommended no
    longer provides latex-beamer (Closes: #867099)

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 11 Jul 2017 11:59:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: paexec
 Section: devel
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper (>= 9),
  mk-configure,
  runawk, gawk,
- graphviz, latex-beamer, texlive-latex-extra, texlive-fonts-recommended, ghostscript
-Standards-Version: 3.9.5
+ graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, ghostscript
+Standards-Version: 4.1.5
+Vcs-Git: https://git.dgit.debian.org/paexec
+Vcs-Browser: https://browse.dgit.debian.org/paexec.git
 
 Package: paexec
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export SUBPRJ_DFLT=paexec paargs examples doc presentation

%:
	dh $@ --buildsystem=mkcmake

## paexec 1.1.1

=== doc/Makefile ===
FILES    =	LICENSE NEWS ../README TODO
FILESDIR =	${DOCDIR}

.include <mkc.subprj.mk>

=== examples/Makefile ===
.include <mkc.files.mk>

=== paargs/Makefile ===
INSCRIPTS =	paargs
SCRIPTS =	${INSCRIPTS}

MAN =		paargs.1

CLEANFILES =	paargs.1

.PHONY: _prepdist
_prepdist: ${MAN}

.include <mkc.mk>

=== paexec/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 CFLAGS    +=	-DPAEXEC_VERSION='"${VERSION}"'
 CFLAGS    +=	-DBUFSIZE=${BUFSIZE}
 
-MKC_FEATURES         =	getline strlcat strlcpy SLIST RB
+MKC_FEATURES         =	strlcat strlcpy SLIST RB
 MKC_SOURCE_FUNCLIBS  =  shquote
 
 MKC_COMMON_DEFINES   =	-D_GNU_SOURCE

=== presentation/Makefile ===
##################################################

FILES    = paexec.pdf
FILESDIR = ${DOCDIR}

.PHONE : all
all : paexec.pdf

.PHONY : pdf dvi
pdf : paexec.pdf
ps  : paexec.ps
dvi : paexec.dvi

.SUFFIXES: .ps .eps .pdf .dvi .tex .dot

paexec.ps paexec.dvi: dep-graph.eps

.ps.pdf:
	ps2pdf "$<" "$@"

.dot.eps:
	dot -Tps ${.IMPSRC} > ${.TARGET}

.dvi.ps:
	dvips $<

.tex.dvi:
	latex "${.IMPSRC}" && latex "${.IMPSRC}"

GARBAGE     =	*.dvi *.aux *.vrb *.toc *.snm *.log *.nav *.out *.eps *.ps _mkc_*
CLEANFILES +=	${GARBAGE} *.pdf

.PHONY: _clean_garbage
_clean_garbage:
	rm -f ${GARBAGE}

_prepdist: all _clean_garbage

.include <mkc.files.mk>

=== tests/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	export PATH=${.CURDIR}/../examples/toupper:$$PATH; \
 	export PATH=${.CURDIR}/../examples/wav2flac:$$PATH; \
 	export PATH=${OBJDIR_paexec}:$$PATH; \
+	export PATH=${OBJDIR_paargs}:$$PATH; \
 	export PATH=${OBJDIR_scripts}:$$PATH; \
 	export PATH=${OBJDIR_transp_closed_stdin}:$$PATH; \
 	export PATH=${OBJDIR_all_substr}:$$PATH; \

=== examples/all_substr/Makefile ===
INSCRIPTS  =	cmd_all_substr

SCRIPTS    =	${INSCRIPTS} run_all_substr
SCRIPTSDIR =	${EGDIR}/${.CURDIR:T}

.include <mkc.files.mk>

=== examples/cc_wrapper2/Makefile ===
SCRIPTS     =	run_cc_wrapper2
SCRIPTSDIR ?=	${FILESDIR}

FILES      !=	echo *.c
FILESDIR    =	${EGDIR}/${.CURDIR:T}

.include <mkc.files.mk>

=== examples/dirtest/Makefile ===
SCRIPTS    =	run_dirtest
SCRIPTSDIR =	${EGDIR}/${.CURDIR:T}

FILES      =	tasks
FILESDIR   =	${EGDIR}/${.CURDIR:T}

.include <mkc.files.mk>

=== examples/wav2flac/Makefile ===
SCRIPTS     =	run
SCRIPTSDIR ?=	${FILESDIR}

.include <mkc.files.mk>

=== tests/scripts/Makefile ===
INSCRIPTS =	big_result_cmd transport_broken_rnd \
		transport_broken_echo transport_broken_toupper
SCRIPTS   =	paexec_notransport ${INSCRIPTS}

.include <mkc.files.mk>

=== tests/transp_closed_stdin/Makefile ===
PROG      =	transp_closed_stdin

WARNS     =	4

.include <mkc.prog.mk>

=== debian/changelog ===
paexec (1.1.1-1) unstable; urgency=medium

  [ Alexander Ponyatykh ]
  * New maintainer (closes: bug#939228).
  * New upstream release.
  * Prevent NULL truncation by strncpy (closes: bug#925801).
  * Add homepage.
  * d/watch: update to point to the new homepage.
  * Upgrade debhelper compatibility level to 12.
  * d/copyright: update to meet 1.0 specification requirements.
  * Bump Standards-Version.
  * Remove extra license file.
  * Enable security hardening build options.
  * Register presentation using doc-base.
  * Remove d/examples, because examples are installed by make install.
  * Fix spelling errors in man pages and output messages.
  * d/paexec.links: pareorder should be symbolic link to paexec_reorder

  [ Andrej Shadura ]
  * d/control: Update Vcs-* field.
  * d/copyright: Use https protocol in Format field.
  * d/watch: Use https protocol.

 -- Alexander Ponyatykh <lazyranma@gmail.com>  Sun, 24 Nov 2019 03:02:32 +0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: paexec
 Section: devel
 Priority: optional
-Maintainer: Andrej Shadura <andrewsh@debian.org>
+Homepage: https://sourceforge.net/projects/paexec/
+Maintainer: Alexander Ponyatykh <lazyranma@gmail.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (=12),
  mk-configure,
  runawk, gawk,
  graphviz, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, ghostscript
-Standards-Version: 4.1.5
-Vcs-Git: https://git.dgit.debian.org/paexec
-Vcs-Browser: https://browse.dgit.debian.org/paexec.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/debian/paexec
+Vcs-Git: https://salsa.debian.org/debian/paexec.git
 
 Package: paexec
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export SUBPRJ_DFLT=paexec paargs examples doc presentation
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=mkcmake

override_dh_installdocs:
	dh_installdocs -O--buildsystem=mkcmake
	rm -f debian/paexec/usr/share/doc/paexec/LICENSE

=== debian/watch ===
version=4

https://sf.net/paexec/paexec-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
